Start Bash command
POST /api/bash/start_bash_command
Execute a bash command in the background
Request body
| Field | Type | Required | Description |
|---|---|---|---|
command | string | yes | The bash command to execute |
cwd | `string | null` | no |
timeout | integer | no | The max number of seconds a command may be permitted to run. |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
command | string | yes | The bash command to execute |
cwd | `string | null` | no |
timeout | integer | no | The max number of seconds a command may be permitted to run. |
id | string | no | — |
timestamp | string | no | — |
kind | string | yes | — |
Operation ID: start_bash_command_api_bash_start_bash_command_post